> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.data.aviato.co/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.data.aviato.co/_mcp/server.

# Bulk Contact Info

POST https://data.api.aviato.co/person/bulk/contact-info
Content-Type: application/json

Get contact info (emails, phones) for multiple people at once. Max 100 at a time. Only charges credits for people with contact data found.

Reference: https://docs.data.aviato.co/api-reference/person/bulk-contact-info

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects an object.

- `lookups` (list of BulkContactInfoQuery, required)

## Response

### 200

- `list of BulkContactInfoResponse`

## Errors

### 401 Unauthorized Error

### 429 Rate Limit Error

### 400 Bad Request Error

- `message` (string, required)

## Types

### BulkContactInfoQuery

- `id` (string, optional)
- `linkedinID` (string, optional)
- `linkedinEntityId` (string, optional) — LinkedIn entity ID
- `linkedinURL` (string, optional) — LinkedIn public profile URL (linkedin.com/in/)
- `twitterID` (string, optional)
- `crunchbaseID` (string, optional)
- `angelListID` (string, optional)
- `signalNfxID` (string, optional)
- `polyworkID` (string, optional)
- `email` (string, optional)

### BulkContactInfoResponse

- `lookupSuccessful` (boolean, required)
- `emails` (list of PersonEmail, required)
- `id` (string, optional)

### PersonEmail

This object represents an email address of a person.

- `email` (enum, required) — The email address of the person.
  - Allowed values: `personal`, `work`, `student`
- `type` (string, optional) — The type of email address (work, personal, student)
- `companyID` (string, optional) — The Aviato ID of the company this email is associated with. (Only present for work emails)

## Examples

**Request**

```json
{
  "lookups": [
    {},
    {}
  ]
}
```

**Response**

```json
[
  {
    "lookupSuccessful": true,
    "emails": [
      {
        "email": "personal",
        "type": "type",
        "companyID": "companyID"
      },
      {
        "email": "personal",
        "type": "type",
        "companyID": "companyID"
      }
    ],
    "id": "id"
  },
  {
    "lookupSuccessful": true,
    "emails": [
      {
        "email": "personal",
        "type": "type",
        "companyID": "companyID"
      },
      {
        "email": "personal",
        "type": "type",
        "companyID": "companyID"
      }
    ],
    "id": "id"
  }
]
```

**SDK Code**

```python
import requests

url = "https://data.api.aviato.co/person/bulk/contact-info"

payload = { "lookups": [{}, {}] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://data.api.aviato.co/person/bulk/contact-info';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"lookups":[{},{}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://data.api.aviato.co/person/bulk/contact-info"

	payload := strings.NewReader("{\n  \"lookups\": [\n    {},\n    {}\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://data.api.aviato.co/person/bulk/contact-info")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"lookups\": [\n    {},\n    {}\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://data.api.aviato.co/person/bulk/contact-info")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"lookups\": [\n    {},\n    {}\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://data.api.aviato.co/person/bulk/contact-info', [
  'body' => '{
  "lookups": [
    {},
    {}
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://data.api.aviato.co/person/bulk/contact-info");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"lookups\": [\n    {},\n    {}\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["lookups": [[], []]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://data.api.aviato.co/person/bulk/contact-info")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```